Accounts
All operations require authentication.
List email accountsProduction
List email accounts. Returns the names of the email accounts of the domain. Filter them by accountName or description.
Path parameters
Name of your domain name
Query parameters
Account name
Account description
Response
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ account \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an email accountProduction
Get an email account. Returns the email address, description, size in bytes and blocked state of the email account.
Path parameters
Name of account
Name of your domain name
Response
Name of account
Account description
Name of domain
If true your account is blocked
Size of your account in bytes
Example uses accountName = string, domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ account/ {accountName} \
-H "authorization: Bearer $OVH_TOKEN"{ "accountName": "string", "description": "string", "domain": "string", "email": "string", "isBlocked": true, "size": 0}
Create an email accountProduction
Create an email account. Creates an email account with a name, a password, and optionally a description and a size in bytes, and returns the task. The size is 5 GB by default; the allowed sizes are in allowedAccountSize of the email domain. The password needs 8 to 30 characters and no accents.
Path parameters
Name of your domain name
Request body (required)
Account name
Description Account
Account password
Account size in bytes (default : 5000000000) (possible values : /email/domain/{domain}/allowedAccountSize )
Response
Action of task
addAccountchangeAccountchangePassworddeleteAccountinternalMigrationmigrationtemporaryTaskunknownCreation date of task
Domain name of task
Id of task
Account name of task
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ account \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "addAccount", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "name": "string"}
Delete an email accountProduction
Delete an email account. Deletes the email account of the domain and returns the task. Follow it under task/account/{id}.
Path parameters
Name of account
Name of your domain name
Response
Action of task
addAccountchangeAccountchangePassworddeleteAccountinternalMigrationmigrationtemporaryTaskunknownCreation date of task
Domain name of task
Id of task
Account name of task
Example uses accountName = string, domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ account/ {accountName} \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "addAccount", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "name": "string"}
Update an email accountProduction
Update an email account. Updates the description or the size in bytes of the email account. The allowed sizes are in allowedAccountSize of the email domain.
Path parameters
Name of account
Name of your domain name
Request body (required)
Name of account
Account description
Name of domain
If true your account is blocked
Size of your account in bytes
Response
Example uses accountName = string, domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ account/ {accountName} \
-H "authorization: Bearer $OVH_TOKEN"Change an email account passwordProduction
Change an email account password. Sets a new password and returns the task. The password needs 8 to 30 characters and no accents.
Path parameters
Name of account
Name of your domain name
Request body (required)
New password
Response
Action of task
addAccountchangeAccountchangePassworddeleteAccountinternalMigrationmigrationtemporaryTaskunknownCreation date of task
Domain name of task
Id of task
Account name of task
Example uses accountName = string, domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ account/ {accountName}/ changePassword \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "addAccount", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "name": "string"}
List delegationsProduction
List delegations. Returns the OVHcloud account IDs (accountId) that have been delegated the management of the email account.
Path parameters
Name of account
Name of your domain name
Response
Example uses accountName = string, domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ account/ {accountName}/ delegation \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a delegationProduction
Get a delegation. Returns the OVHcloud account ID (accountId) that has been delegated the management of the email account.
Path parameters
OVH customer unique identifier
Name of account
Name of your domain name
Response
OVH customer unique identifier
Example uses accountId = string, accountName = string, domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ account/ {accountName}/ delegation/ {accountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "accountId": "string"}
Create a delegationProduction
Create a delegation. Gives the OVHcloud account accountId the management of the email account, from its own control panel.
Path parameters
Name of account
Name of your domain name
Request body (required)
OVH customer unique identifier
Response
Example uses accountName = string, domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ account/ {accountName}/ delegation \
-H "authorization: Bearer $OVH_TOKEN""string"
Remove a delegationProduction
Remove a delegation. Withdraws from the OVHcloud account the management of the email account that it had been delegated.
Path parameters
OVH customer unique identifier
Name of account
Name of your domain name
Response
Example uses accountId = string, accountName = string, domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ account/ {accountName}/ delegation/ {accountId} \
-H "authorization: Bearer $OVH_TOKEN""string"
List migration destinationsBeta
List migration destinations. Returns the names of the services the email account can be migrated to. Filter them by type: Email Pro, hosted, private or provider Exchange.
Path parameters
Name of account
Name of your domain name
Query parameters
Type of migration service
EMAIL PROHOSTED EXCHANGEPRIVATE EXCHANGEPROVIDER EXCHANGEResponse
Example uses accountName = string, domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ account/ {accountName}/ migrate \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a migration destinationBeta
Get a migration destination. Returns the offer type, creation and expiration dates, and admin, tech and billing contacts of the destination service.
Path parameters
Name of account
Service name allowed as migration destination
Name of your domain name
Response
Admin contact of service
Billing contact of service
Tech contact of service
Creation date of service
Service name allowed as migration destination
Expiration date of service
Offer type of service
EMAIL PROHOSTED EXCHANGEPRIVATE EXCHANGEPROVIDER EXCHANGEExample uses accountName = string, destinationServiceName = string, domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ account/ {accountName}/ migrate/ {destinationServiceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "destinationServiceName": "string", "expiration": "2024-01-01", "type": "EMAIL PRO"}
List destination email accountsBeta
List destination email accounts. Returns the email addresses of the destination service the email account can be migrated to. Filter them by minimum size with quota.
Path parameters
Name of account
Service name allowed as migration destination
Name of your domain name
Query parameters
Account maximum size
Response
Example uses accountName = string, destinationServiceName = string, domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ account/ {accountName}/ migrate/ {destinationServiceName}/ destinationEmailAddress \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a destination email accountBeta
Get a destination email account. Returns the email address and maximum size of the destination account.
Path parameters
Name of account
Destination account name
Service name allowed as migration destination
Name of your domain name
Response
Destination account name
Account maximum size
Example uses accountName = string, destinationEmailAddress = string, destinationServiceName = string, domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ account/ {accountName}/ migrate/ {destinationServiceName}/ destinationEmailAddress/ {destinationEmailAddress} \
-H "authorization: Bearer $OVH_TOKEN"{ "destinationEmailAddress": "string", "quota": 0}
Check an email account migrationBeta
Check an email account migration. Returns the errors and warnings found for the migration to the destination account, and the aliases, filters and forwards found.
Path parameters
Name of account
Destination account name
Service name allowed as migration destination
Name of your domain name
Response
List of aliases
List of errors
List of filters
List of forwards
List of warnings
Example uses accountName = string, destinationEmailAddress = string, destinationServiceName = string, domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ account/ {accountName}/ migrate/ {destinationServiceName}/ destinationEmailAddress/ {destinationEmailAddress}/ checkMigrate \
-H "authorization: Bearer $OVH_TOKEN"{ "alias": [ "string" ], "error": [ { "code": "ACCOUNT_EMPTY", "details": "string" } ], "filter": [ "string" ], "forward": [ "string" ], "warning": [ { "code": "ACCOUNT_EMPTY", "details": "string" } ]}
Migrate an email accountBeta
Migrate an email account. Migrates the email account to the destination account and returns the task. password is the new password used for the migration.
Path parameters
Name of account
Destination account name
Service name allowed as migration destination
Name of your domain name
Request body (required)
New password used for migration
Response
Action of task
addAccountchangeAccountchangePassworddeleteAccountinternalMigrationmigrationtemporaryTaskunknownCreation date of task
Domain name of task
Id of task
Account name of task
Example uses accountName = string, destinationEmailAddress = string, destinationServiceName = string, domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ account/ {accountName}/ migrate/ {destinationServiceName}/ destinationEmailAddress/ {destinationEmailAddress}/ migrate \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "addAccount", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "name": "string"}
Refresh email account usageProduction
Refresh email account usage. Asks for the figures returned by usage to be recomputed; they are updated asynchronously.
Path parameters
Name of account
Name of your domain name
Response
Example uses accountName = string, domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ account/ {accountName}/ updateUsage \
-H "authorization: Bearer $OVH_TOKEN"Get email account usageProduction
Get email account usage. Returns the number of emails, the maximum size in bytes of the mailbox (quota) and the date of the measure.
Path parameters
Name of account
Name of your domain name
Response
Timestamp
Number of message in mailbox
Size of mailbox (bytes)
Example uses accountName = string, domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ account/ {accountName}/ usage \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "emailCount": 0, "quota": 0}